package main

import (
  "flag"
)


func main() {
  se := flag.Bool("se", false, "Update 'Standard Ebooks'")
  gg := flag.Bool("gg", false, "Update 'Global Grey'")
  pg := flag.Bool("pg", false, "Update 'Project Gutenberg'")
  all := flag.Bool("all", false, "Update all sources (overrides other flags)")
  flag.Parse()
  if *se || *all {
    standardEbooks()
  }
  if *gg || *all {
    globalGrey()
  }
  if *pg || *all {
    projectGutenberg()
  }
  if ! *gg && ! *se && ! *pg && ! *all {
    flag.PrintDefaults()
  }
}
